Zim: resoldre el problema del corrector ortogràfic

Logo de Zim - Per Jaap G Karssenberg sota GNU GPL 2

 

Utilitzeu Zim, el wiki d’escriptori? Us heu trobat amb el problema de no poder emprar-hi el corrector ortogràfic? Quan cliqueu Edita / Preferències, aneu a la pestanya Plugins i tracteu d’activar-hi el corrector, us hi trobeu amb un missatge com el següent?

La línia vermella, gtkspell – Failed, ens indica l’origen del problema. Si ho he interpretat bé, Zim necessita aquelles dues dependències; tanmateix, encara que tots dos paquets es troben instal·lats, Zim (potser només en les versions posteriors a una de determinada) no localitza el segon. Avui, però, he trobat un sistema per a solucionar el problema i m’ha funcionat; és tan senzill com obrir el terminal i executar-hi les següents ordres:

$ pip install pygtkspellcheck
      ### Si ja està instal·lat, ens suggerirà d'actualitzar-lo.
      ### i caldrà executar la següent línia:
$ pip install --upgrade pygtkspellcheck # Actualització.
$ pip list | grep spell # Comprovació de la versió.

Després, si encara es troba en el vostre sistema, podeu desinstal·lar el paquet python-gtkspellcheck, obsolet, sense cap problema. A partir d’aquest moment, Zim podrà emprar el corrector ortogràfic sense problemes —tot i que continuarà mostrant en vermell aquella línia de la imatge.

La solució l’he trobada al Github del paquet pygtkspellcheck , per mà de l’usuari Andreas Wehler, que afirma que li ha funcionat en Ubuntu 16.04. Jo, de moment, l’he aplicat amb èxit al Zim 0.69 sobre Manjaro 18.0.

Espere que us resulte tan útil com a mi.

Ampliació per a Linux Mint 19.1

En aquesta altra distro, les instruccions anteriors no m’han funcionat. En primer lloc, he hagut d’instal·lar pip, que no hi era, i, després, he hagut d’afegir un parell més de paquets Python. Finalment, he instal·lat pygtkspellcheck i, després de reiniciar Zim, he pogut activar -ne el corrector.

En resum, els passos, des del terminal, han sigut els següents:

sudo apt-get install python-pip
sudo apt-get install python-setuptools
sudo apt-get install python-enchant
pip install pygtkspellchec

Després, he reiniciat Zim i com he dit abans, el corrector ja ha funcionat correctament.

Publicat dins de contradiccions, GNU/Linux | Etiquetat com a , , , , , , , , | Deixa un comentari